List referrals
GET
apiKeyheader
AuthorizationBearer <token>Use a secret key such as sk_test_... in test mode or sk_live_... in production.
limit?integerNumber of items to return, between 1 and 100.
Range
1 <= value <= 100Default
25cursor?stringThe next_cursor from a previous response.
status?stringValue in
"pending""in_review""converted""rejected""expired"referrer_id?stringA page of referrals.
application/json- response
data*array<>has_more*booleannext_cursor?string|nullcurl -X GET 'https://api.referralapi.example/v1/referrals'Example Response200
{ "data": [ { "id": "rfl_7Yp1aZc6", "referrer_id": "string", "referred_external_id": "string", "status": "pending", "risk_score": 0, "created_at": "2019-08-24T14:15:22Z", "converted_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}